/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	Action handling in the GUI												*/
/*	~~~~~~~~~~~~~~~~~~~~~~~~~~												*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#ifndef __GUI_ACTIONS_H__
#define	__GUI_ACTIONS_H__

#include <glib.h>
#include <gdk/gdk.h>
#include <gtk/gtk.h>

/****************************************************************************/
/*						Public functions									*/
/****************************************************************************/

/*
*	Creates the action buttons
*	~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

GtkWidget	*ActionsCreate( void );

	
/*
*	Creates the image control buttons
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

GtkWidget	*ActionImage( void );

/*
*	Creates the processing level buttons
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

GtkWidget	*ActionsProcopts( void );

#endif
