/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	Proximity analysis program fatal internal error							*/
/*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~							*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#ifndef __FATAL_H__
#define __FATAL_H__

/*
*	This macro indicates a fatal internal error
*/

#define	FATAL( errstr, args... ) \
	_fatal( __FILE__, __LINE__, errstr, ## args )
	
extern	void	_fatal( char *name, int line, const char *msg, ... );

#endif
