/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	Colour options															*/
/*	~~~~~~~~~~~~~~															*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#include <types.h>
#include <options.h>
#include "option_types.h"

/****************************************************************************/
/*					Data describing the option items						*/
/****************************************************************************/
	
	// Colour selection items
	
	CSEL	col_act;				/* Base colour for active objects		*/
	CSEL	col_ref;				/* Base colour for reference objects	*/
	
	// Display items
	
	CSEL	dis_col;				/* Distance vector colour				*/
	CSEL	act_col;				/* Active object colour					*/
	CSEL	ref_col;				/* Reference object colour				*/
	CSEL	con_col;				/* Confinement area colour				*/
