/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	GUI functionality														*/
/*	~~~~~~~~~~~~~~~~~														*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <glib.h>
#include <gdk/gdk.h>
#include <gtk/gtk.h>

#include <types.h>
#include <styles.h>
#include "dialog.h"

/****************************************************************************/
/*						Public functions									*/
/****************************************************************************/

/*
*	Creates a dialogue box
*	~~~~~~~~~~~~~~~~~~~~~~
*/

void	GuiDialogBox( const char *text )
{
GtkWidget	*box;
GtkWidget	*txt;
GtkWidget	*but;

	gtk_widget_push_style( dia_style );
	
	box = gtk_dialog_new();
	txt = gtk_label_new( text );
	but = gtk_button_new_with_label( "OK" );
	
	gtk_window_set_default_size( GTK_WINDOW( box ), 300, 100 );
	gtk_window_set_title( GTK_WINDOW( box ), "Error!" );
	gtk_window_set_modal( GTK_WINDOW( box ), TRUE );
	
	gtk_signal_connect_object( GTK_OBJECT( but ), "clicked",
							   GTK_SIGNAL_FUNC( gtk_widget_destroy ), 
							   (gpointer) box );
	
	gtk_container_add( GTK_CONTAINER( GTK_DIALOG( box )->action_area ), but );
	gtk_container_add( GTK_CONTAINER( GTK_DIALOG( box )->vbox ), txt );
	gtk_widget_show_all( box );
	gtk_widget_pop_style();
}
