/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	GUI image interface functionality										*/
/*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~										*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#ifndef __BUTTONS_H__
#define __BUTTONS_H__

#include <glib.h>
#include <gdk/gdk.h>
#include <gtk/gtk.h>

#include <types.h>
#include <job.h>

/****************************************************************************/
/*							Interface functions								*/
/****************************************************************************/

/*
*	Creates the user interface
*	~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

GtkWidget	*JobInterfaceCreate( JOB job );

void	JobButtonActiveEnable( JOB job, int enable );
void	JobButtonActiveState( JOB job, int active );

#endif
