/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	File selection box code													*/
/*	~~~~~~~~~~~~~~~~~~~~~~~													*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#ifndef __GUI_FILE_H__
#define __GUI_FILE_H__

/****************************************************************************/
/*						Public functions									*/
/****************************************************************************/

/*
*	File menu for loading image
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~
*	If the user successfully selects a file, then the 'action'
*	callback will be called with the filename. If the user cancels
*	or closes the dialog, nothing happens.
*/

void	GuiFileGetName( char *title, char *mask, 
						void (*action)( char *, void * ), void *par );

#endif
