/****************************************************************************/
/* Copyright 2004,  Bendor Research Pty. Ltd.			All Rights Reserved	*/
/****************************************************************************/
/*																			*/
/*	Action handling in the GUI												*/
/*	~~~~~~~~~~~~~~~~~~~~~~~~~~												*/
/*																			*/
/*	Who				When			Comment									*/
/*																			*/
/*	Zoltn Kcsi	2004 Mar 18		Original code							*/
/*																			*/
/****************************************************************************/

#ifndef __GUI_STYLES_H__
#define	__GUI_STYLES_H__

#include <glib.h>
#include <gdk/gdk.h>
#include <gtk/gtk.h>

/****************************************************************************/
/*							Public data										*/
/****************************************************************************/

extern	GtkStyle	*sml_style;			/* Style for normal operation		*/
extern	GtkStyle	*med_style;			/* Style for headings				*/
extern	GtkStyle	*big_style;			/* Style for main headings			*/
extern	GtkStyle	*dia_style;			/* Dialogue box style				*/


extern	GdkCursor	*cursor_sml;		/* Small containment cursor			*/
extern	GdkCursor	*cursor_med;		/* Medium containment cursor		*/
extern	GdkCursor	*cursor_lge;		/* Large containment cursor			*/

/****************************************************************************/
/*						Interface functions									*/
/****************************************************************************/

/*
*	Creates all the styles that the application uses
*	~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
*/

void	GuiCreateStyles( void );

#endif
