#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>

#include <fatal.h>

void	_fatal( char *name, int line, const char *msg, ... )
{
va_list	list;
	
	va_start( list, msg );
	fprintf( stderr, "%s(%d): ", name, line );
	vfprintf( stderr, msg, list );
	fprintf( stderr, "\n" );
	va_end( list );
	exit( 1 );
}
